
const { ccclass, property } = cc._decorator;

@ccclass
export default class StartScreen extends cc.Component {
    @property(cc.Node)
    private selectBtnNode: cc.Node = null;

    protected onLoad(): void {
        this.selectBtnNode.on('click', this.onSelectBtnClick, this);
        // cc.director.preloadScene('main');
    }

    private onSelectBtnClick() {
        cc.director.loadScene('main');
    }
}
